## Index

### Functions

- create
- createStore
- getEventStores
- getReadModel

## Functions

### create

- create(web3: any, fromAddress: string): Promise<EventStoreFactory>

- - Defined in Factory/Factory.ts:21

  Factory create

  #### Parameters

  - ##### web3: any

  - ##### fromAddress: string

  #### Returns Promise<EventStoreFactory>

### createStore

- createStore(factory: EventStoreFactory, whitelist: string[], web3: any, fromAddress: string): Promise<EventStore>

- - Defined in Factory/Factory.ts:38

  Factory createStore

  #### Parameters

  - ##### factory: EventStoreFactory

  - ##### whitelist: string[]

  - ##### web3: any

  - ##### fromAddress: string

  #### Returns Promise<EventStore>

### getEventStores

- getEventStores(factory: EventStoreFactory, fromAddress: string): Promise<string[]>

- - Defined in Factory/Factory.ts:58

  #### Parameters

  - ##### factory: EventStoreFactory

  - ##### fromAddress: string

  #### Returns Promise<string[]>

### getReadModel

- getReadModel(factory: EventStoreFactory, adapter: EventStoreAdapter, readModelAdapter: IReadModelAdapter, web3: any, fromAddress: string): Promise<ReadModel>

- - Defined in Factory/Factory.ts:71

  Factory getReadModel

  #### Parameters

  - ##### factory: EventStoreFactory

  - ##### adapter: EventStoreAdapter

  - ##### readModelAdapter: IReadModelAdapter

  - ##### web3: any

  - ##### fromAddress: string

  #### Returns Promise<ReadModel>

Generated using TypeDoc